chyba aktualizace php 7.0 na 7.3

Vyřešeno192 zhlédnutíWebhosting
0

Dobry den,

po aktualizaci php u domeny janinakeramika.cz z 7.0 na 7.3 mi vyskoci nasledujici chyba (je na vsech strankach). chyba zmizi po preklopeni zpet do 7.0.

radek 97 ve wp-config.php obsahuje nasledujici prikaz:

define(‚NONCE_KEY‘,        ‚12345678……‘);

Kdyz jsem se chtel prihlasit pres wp-login.php, pak se objevila stejna prvni hlaska a 3 dalsi hlasky s „Warning: Cannot modify header information…“ s odkazy na jine soubory (2x wp-login.php, 1x wp-includes/functions.php)

Web je napsan ve wordpressu (verze tesne pod aktualni 5.6), sablona Nikkon. Pred updatem jsem kontroloval web pomoci pluginu „PHP Compatibility Checker“ a vysledek byl „Kompatibilni“ u vsech pluginu.

poznamka: podobne hlasky se mi objevily i pri aktualizaci na php 7.1/7.2, podobne pro WP jine 5.x

co s tim?

dekuji a s pozdravem

ondrej hogel

Role: Zákazník
Otázka je uzamčena pro nové odpovědi.
Vybral nejlepší odpověď
1

diky za odpoved.

v puvodnim textu je radek spatne zkopirovan (tam je zrejma syntakticka chyba). spravny copy/paste je:

define(‚NONCE_KEY‘,        ‚12345678……….‘);

ale v tomto chyba nebyla. trochu jsem poguglil a nasel jsem pricinu. v souboru wp-config.php je chybny parametr v prikazu pro potlaceni automatickych updatu:

define( ‚WP_AUTO_UPDATE_CORE‘, minor );

spravne ma byt:

define( ‚WP_AUTO_UPDATE_CORE‘, false );

Problem solved.

Role: Zákazník
Vybral nejlepší odpověď
Prohlížíte 1 ze 5 odpovědí, klikněte zde pro zobrazení všech odpovědí.

Kategorie